import BasicPage from "../../../components/basic-page-template";
import WCard from "../../../components/werefox-card";
import IDCard from "../../../components/identity-card";

export default function Neurodiversity() {
  return (
    <BasicPage
      page_title="Neurodiversity, Fam"
      card_title="I'm Neurodivergent!"
    >
      <WCard>
        <IDCard
          title="ADHD"
          info={{
            info: `This stands for "Attention-Deficit Hyperactivity Disorder".`,
            neurodivergent: `Addionally, the term "neurodivergent" is a general term meaning someone who lives with a form of mental disorder which may impair or alter the way they act and react to the world around them.`,
            adhd: `While the term ADHD does address the attention and hyperactive aspects of the disorder, there are actually many other aspects that often go unaddressed. The main ones, however, are:`,
            symptom1: `- Lack of focus, and conversely, hyperfocus!`,
            symptom2: `- Impulsiveness`,
            symptom3: `- Impaired ability to multitask`,
            symptom4: `- Time management issues`,
            symptom5: `- Difficulty remembering things (especially details and things we don't find stimulating)`,
            symptom6: `- Emotional dysregularity (we have trouble regulating our emotions!)`,
            symptom7: `- Last, but not least, is something called "rejection sensitivity", which can be hard to explain, and isn't technically medically accepted, but is proven to be a common symptom among ADHD folks!`,
            conclusion: `There's a lot more I wish I could say, but I can genuinely recommend the following link to the YouTube channel "How to ADHD" if you want to learn more, especially if you believe you have this disorder yourself!`,
          }}
          url="https://www.youtube.com/channel/UC-nPM1_kSZf91ZGkcgy_95Q"
          src="/emoji/neurodiversity.svg"
          alt="The neurodiversity symbol"
        />
      </WCard>
    </BasicPage>
  );
}
